package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.distributed.print.business.entity.ExamDetailCourse;
import com.qmth.distributed.print.business.entity.ExamStudent;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 考生 服务类
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
public interface ExamStudentService extends IService<ExamStudent> {

    void updatePaperType(List<ExamDetailCourse> examDetailCourses, String relatePaperType);

    List<String> listByExamDetailCourseId(String examDetailCourseId);

    Map<String, Object> getStudentDetail(Long id);
}
