package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.distributed.print.business.bean.dto.PrivilegeDto;
import com.qmth.distributed.print.business.entity.SysPrivilege;

import java.util.List;

/**
 * <p>
 * 菜单权限表 服务类
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
public interface SysPrivilegeService extends IService<SysPrivilege> {

    List<PrivilegeDto> listPrivilegeTree();

    String savePrivilege(SysPrivilege privilege);

    boolean remove(Long id);

    List<String> getRolePrivileges(Long roleId);

    List<PrivilegeDto> listPrivilegeTreeAuth();
}
