package com.qmth.distributed.print.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.distributed.print.business.bean.dto.MenuDto;
import com.qmth.distributed.print.business.entity.SysRole;
import com.qmth.distributed.print.business.entity.SysUserRole;

import java.util.List;

/**
 * <p>
 * 用户和角色关联表 Mapper 接口
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
public interface SysUserRoleMapper extends BaseMapper<SysUserRole> {

    List<SysRole> listRoleByUserId(Long userId);

    List<MenuDto> listByUserId(Long userId);

    List<MenuDto> listAll();
}
