package com.qmth.distributed.print.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.distributed.print.business.bean.result.TaskListResult;
import com.qmth.distributed.print.business.entity.TBTask;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * <p>
 * 导入导出任务表 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2021-03-19
 */
public interface TBTaskMapper extends BaseMapper<TBTask> {

    public IPage<TaskListResult> query(IPage<Map> iPage,
                                       @Param("schoolId") Long schoolId,
                                       @Param("printPlanId") Long printPlanId,
                                       @Param("status") String status,
                                       @Param("type") String type,
                                       @Param("result") String result);
}
