package com.qmth.distributed.print.business.service;

import java.io.IOException;
import java.util.List;
import java.util.Map;

/**
 * @Description: 机构用户中心接口调用服务
 * @Author: CaoZixuan
 * @Date: 2021-04-02
 */
public interface CallApiOrgCenterService {

    /**
     * 查询机构信息
     * @return 机构信息（包含学校和合作方）
     * @throws IOException 异常
     */
    List<Map> callOrgInfo() throws IOException;

}
