package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.distributed.print.business.bean.dto.MenuDto;
import com.qmth.distributed.print.business.entity.SysRole;
import com.qmth.distributed.print.business.entity.SysUserRole;

import java.util.List;

/**
 * <p>
 * 用户和角色关联表 服务类
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
public interface SysUserRoleService extends IService<SysUserRole> {

    List<SysUserRole> listByRoleId(Long id);

    List<SysRole> listRoleByUserId(Long id);

    void removeByUserId(Long id);

    List<MenuDto> listByUserId();

    void rebindPrivileges(Long id);
}
