package com.qmth.distributed.print.business.templete.create;

import com.qmth.distributed.print.business.templete.callback.CallbackCreatePdf;
import com.qmth.distributed.print.business.templete.importData.AsyncImportTaskTemplete;
import com.qmth.distributed.print.common.util.Result;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.scheduling.annotation.Async;

import java.io.IOException;
import java.util.Map;

/**
 * @Description: 异步创建pdf模版
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/3/29
 */
public abstract class AsyncCreateTaskTemplete extends AsyncImportTaskTemplete {
    private final static Logger log = LoggerFactory.getLogger(AsyncCreateTaskTemplete.class);

    public static final String BEGIN_TITLE = "->开始准备创建";

    /**
     * 创建pdf
     *
     * @param map
     * @param callbackCreatePdf
     * @return
     * @throws IOException
     */
    @Async
    public Result createPdf(Map<String, Object> map, CallbackCreatePdf callbackCreatePdf) throws IOException {
        return null;
    }
}
